import { renderless, api } from "@dftvue2-opentiny/vue-renderless/link-menu/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { iconSetting } from "@dftvue2-opentiny/vue-icon";
import Tree from "@dftvue2-opentiny/vue-tree";
import Input from "@dftvue2-opentiny/vue-input";
import Button from "@dftvue2-opentiny/vue-button";
import DialogBox from "@dftvue2-opentiny/vue-dialog-box";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  props: [].concat(props, ["data", "maxItem", "icon", "props", "title", "defaultExpandAll", "searchIcon", "ellipsis", "wrap", "getMenuDataSync", "keepSelectedNodes"]),
  components: {
    TinyTree: Tree,
    TinyInput: Input,
    TinyButton: Button,
    TinyDialogBox: DialogBox,
    IconSetting: iconSetting()
  },
  setup: function setup(props2, context) {
    return _setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-link-menu"
  }, [_c("div", {
    staticClass: "tiny-link-menu__nav"
  }, [_vm._l(_vm.state.listItem, function(item, index) {
    return _c("a", {
      key: index,
      staticClass: "tiny-link-menu__nav-item",
      attrs: {
        "href": item.url
      }
    }, [_vm._t("navicon", function() {
      return [_c(item.icon, {
        tag: "component"
      })];
    }, {
      "slotScope": item.icon
    }), _c("span", [_vm._v(_vm._s(item.label))])], 2);
  }), _c("button", {
    staticClass: "tiny-link-menu__btn",
    attrs: {
      "type": "button"
    },
    on: {
      "click": _vm.showDialog
    }
  }, [_c("icon-setting")], 1)], 2), _c("tiny-dialog-box", {
    attrs: {
      "visible": _vm.state.boxVisibility,
      "title": _vm.state.titles,
      "width": "30%",
      "close-on-click-modal": false
    },
    on: {
      "update:visible": function updateVisible($event) {
        _vm.state.boxVisibility = $event;
      }
    },
    scopedSlots: _vm._u([{
      key: "footer",
      fn: function fn() {
        return [_c("div", {
          staticClass: "tiny-link-menu__dialog-btn"
        }, [_vm._t("foot", function() {
          return [_c("tiny-button", {
            attrs: {
              "type": "primary",
              "disabled": _vm.state.disabled,
              "reset-time": 0
            },
            on: {
              "click": _vm.sureNodevalue
            }
          }, [_vm._v(_vm._s(_vm.t("ui.linkMenu.sure")))]), _c("tiny-button", {
            attrs: {
              "disabled": _vm.state.disabled,
              "reset-time": 0
            },
            on: {
              "click": _vm.hideDialog
            }
          }, [_vm._v(_vm._s(_vm.t("ui.linkMenu.cancel")))])];
        })], 2)];
      },
      proxy: true
    }], null, true)
  }, [_c("div", {
    staticClass: "tiny-link-menu__filert"
  }, [_c("tiny-input", {
    attrs: {
      "placeholder": _vm.t("ui.linkMenu.placeholder"),
      "suffix-icon": _vm.searchIcon
    },
    model: {
      value: _vm.state.filterText,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "filterText", $$v);
      },
      expression: "state.filterText"
    }
  })], 1), _c("tiny-tree", {
    ref: "tree",
    class: {
      "tiny-link-menu__wrap": _vm.wrap,
      "tiny-link-menu__overflow": !_vm.wrap ? _vm.ellipsis : false
    },
    attrs: {
      "data": _vm.state.datas,
      "icon": _vm.icon,
      "default-expand-all": _vm.defaultExpandAll,
      "show-checkbox": "",
      "node-key": "id",
      "filter-node-method": _vm.filterNode
    },
    on: {
      "check": _vm.getValue
    },
    scopedSlots: _vm._u([{
      key: "default",
      fn: function fn(_ref) {
        var data = _ref.data;
        return [_c("div", {
          staticClass: "tree-node"
        }, [_c("div", {
          staticClass: "tree-menus-link"
        }, [_c("a", {
          staticClass: "tree-node-body",
          attrs: {
            "title": data.label,
            "href": data.disabled ? void 0 : data.url || void 0
          }
        }, [_vm._t("nodeicon", function() {
          return [_c(data.icon, {
            tag: "component"
          })];
        }, {
          "slotScope": data.icon
        }), _c("span", {
          staticClass: "tree-node-name"
        }, [_vm._t("node", function() {
          return [_vm._v(" " + _vm._s(data.label) + " ")];
        }, {
          "label": data.label
        })], 2)], 2)])])];
      }
    }], null, true)
  })], 1)], 1);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
